/*
 * PMSM_Motor_TL3_sid.h
 *
 * Code generation for model "PMSM_Motor_TL3_sf".
 *
 * Model version              : 1.825
 * Simulink Coder version : 9.4 (R2020b) 29-Jul-2020
 * C source code generated on : Fri Apr 14 12:51:02 2023
 *
 * Target selection: rtwsfcn.tlc
 * Note: GRT includes extra infrastructure and instrumentation for prototyping
 * Embedded hardware selection: ARM Compatible->ARM Cortex-M
 * Emulation hardware selection:
 *    Differs from embedded hardware (MATLAB Host)
 * Code generation objectives:
 *    1. Execution efficiency
 *    2. RAM efficiency
 * Validation result: Not run
 *
 * SOURCES: PMSM_Motor_TL3_sf.c
 */

/* statically allocated instance data for model: PMSM_Motor_TL3 */
{
  {
    /* Local SimStruct for the generated S-Function */
    static LocalS slS;
    LocalS *lS = &slS;
    ssSetUserData(rts, lS);

    /* block I/O */
    {
      static B_PMSM_Motor_TL3_T sfcnB;
      void *b = (real_T *) &sfcnB;
      ssSetLocalBlockIO(rts, b);
      (void) memset(b, 0,
                    sizeof(B_PMSM_Motor_TL3_T));
    }

    /* model checksums */
    ssSetChecksumVal(rts, 0, 3090714017U);
    ssSetChecksumVal(rts, 1, 3929030705U);
    ssSetChecksumVal(rts, 2, 1976178041U);
    ssSetChecksumVal(rts, 3, 3610196154U);
  }
}
